/* SelectionInsertionAssociation.h created by cfeder on Tue 08-Nov-1994 */
#import <eointerface/eointerface.h>

// The SelectionInsertionAssociation should really be named the
// "Selection In One Controller Indicates Object Insertion in
// Another,  De-selection Indicates Deletion"
//
// The destination of this association is a controller containing all
// interesting object values that can be inserted in the associations
// controller.  The selection in the destination controller describes
// what subset of those objects should be inserted in the source controller.
// For example, say I associate the employeeProjects controller to the allProjects
// controller, where allProjects is the list of all projects anyone can work on,
// and employeeProjects is the detail controller for an employee containing
// the subset of those objects to which this employee is assigned.
// If these user selects a new project in a tableview associated with the
// allProjects controller, the SelectionInsertionAssociation will add that project
// object to the employees detail controller.  Conversely, if the user selects a
// different employee, and consequently the contents of the employeeProjects
// detail controller changes, the SelectionInsertionAssociation updates makes
// sure that the corresponding objects in the allProjects controller are selected.
//
@interface SelectionInsertionAssociation : EOAssociation
{
    BOOL ignoreNotifications;
}
- initWithController:(EOController *)aController
        key: (NSString *)aKey destination: aDest;
@end
